package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训视频对象 bus_training_video
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusTrainingVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 培训名称 */
    @Excel(name = "培训名称")
    private String trainTitle;

    /** 培训类型 */
    @Excel(name = "培训类型")
    private String trainType;

    /** 培训级别 */
    @Excel(name = "培训级别")
    private String trainLevel;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 培训文件类型 */
    @Excel(name = "培训文件类型")
    private String trainFileType;

    /** 培训文件地址 */
    @Excel(name = "培训文件地址")
    private String trainFilePath;

    /** 培训文件主图 */
    @Excel(name = "培训文件主图")
    private String trainFileImage;

    /** 培训文件时长 */
    @Excel(name = "培训文件时长")
    private String trainFileTimes;

    /** 播放时长 */
    @Excel(name = "播放时长")
    private int palyTimes;

    /** 播放顺序 */
    @Excel(name = "播放顺序")
    private int sortBy;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setTrainTitle(String trainTitle)
    {
        this.trainTitle = trainTitle;
    }

    public String getTrainTitle() 
    {
        return trainTitle;
    }
    public void setTrainType(String trainType) 
    {
        this.trainType = trainType;
    }

    public String getTrainType() 
    {
        return trainType;
    }
    public void setTrainLevel(String trainLevel) 
    {
        this.trainLevel = trainLevel;
    }

    public String getTrainLevel() 
    {
        return trainLevel;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setTrainFileType(String trainFileType) 
    {
        this.trainFileType = trainFileType;
    }

    public String getTrainFileType() 
    {
        return trainFileType;
    }
    public void setTrainFilePath(String trainFilePath) 
    {
        this.trainFilePath = trainFilePath;
    }

    public String getTrainFilePath() 
    {
        return trainFilePath;
    }
    public void setTrainFileImage(String trainFileImage) 
    {
        this.trainFileImage = trainFileImage;
    }

    public String getTrainFileImage() 
    {
        return trainFileImage;
    }
    public void setTrainFileTimes(String trainFileTimes) 
    {
        this.trainFileTimes = trainFileTimes;
    }

    public String getTrainFileTimes() 
    {
        return trainFileTimes;
    }

    public int getSortBy() {
        return sortBy;
    }

    public void setSortBy(int sortBy) {
        this.sortBy = sortBy;
    }

    public int getPalyTimes() {
        return palyTimes;
    }

    public void setPalyTimes(int palyTimes) {
        this.palyTimes = palyTimes;
    }

    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("trainTitle", getTrainTitle())
            .append("trainType", getTrainType())
            .append("trainLevel", getTrainLevel())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("trainFileType", getTrainFileType())
            .append("trainFilePath", getTrainFilePath())
            .append("trainFileImage", getTrainFileImage())
            .append("trainFileTimes", getTrainFileTimes())
            .append("sortBy", getSortBy())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
